<%@ Control AutoEventWireup="false" CodeBehind="SharedAreas.ascx.cs" Inherits="DNNMasters.MPUS.X.UI.UserControls.SharedAreas"
    Language="c#" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="dnn" TagName="label" Src="~/controls/labelControl.ascx" %>
<%@ Register TagPrefix="componentart" Namespace="DNNMasters.MPUS.X.ComponentArt.Web.UI.N35"
    Assembly="DNNMasters.MPUS.X.ComponentArt.Web.UI.N35" %>
<%@ Register TagPrefix="dnn" TagName="SectionHead" Src="~/controls/SectionHeadControl.ascx" %>
<%@ Register TagPrefix="uc1" TagName="mpus_SAPortalEdit" Src="SAPortalEdit.ascx" %>

<script language="javascript">

    function SATreeNodeSelect(node)
    { 
      //alert(node);
      //alert(node.Value);
      var parent = "-1";
      if (node.get_parentNode() != null)
      {
        parent = node.get_parentNode().Value;
      }
      $("#<%=_cmdSave.ClientID %>").hide();
      $("#<%=_cmdDelete.ClientID %>").hide();
      if (node.Value != -200 & node.Value < 1)
      {
         $("#<%=_cmdSave.ClientID %>").show();
         $("#<%=_cmdDelete.ClientID %>").show();
      }
      <%=_saCallback.ClientID%>.Callback('SA_ID'+node.Value+';PARENT'+parent);
    }

    $(document).ready(function () {
        $("#<%=_cmdSave.ClientID %>").hide();
        $("#<%=_cmdDelete.ClientID %>").hide();
        var selNode = <%=_tvAreas.ClientID %>.get_selectedNode();
        if (selNode != null)
        {
          if (selNode.Value != -200 & selNode.Value < 1)
          {
             $("#<%=_cmdSave.ClientID %>").show();
             $("#<%=_cmdDelete.ClientID %>").show();
          }
        }
        
        

    });

</script>

<table>
    <tr>
        <td valign="top">
            <table id="pages_main" class="settings_table_main">
                <tr>
                    <td valign="top">
                        <table id="tree_header" border="0">
                            <tr>
                                <td class="Normal" valign="middle">
                                    <dnn:label id="lblSelectSharedArea" resource="lblSelectSharedArea" controlname=""
                                        suffix=":" runat="server">
                                    </dnn:label>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td valign="top">
                        <table id="pages_tree" class="table_border">
                            <tr>
                                <td valign="top">
                                    <componentart:TREEVIEW id="_tvAreas" CssClass="TreeView" runat="server" EnableViewState="false"
                                        NodeCssClass="TreeNode" SelectedNodeCssClass="HoverTreeNode" HoverNodeCssClass="HoverTreeNode"
                                        LineImageWidth="19" LineImageHeight="20" ShowLines="True" LineImagesFolderUrl="Images/treeview/lines"
                                        width="200px" AutoPostBackOnSelect="false" ClientSideOnNodeSelect="SATreeNodeSelect">
                                    </componentart:TREEVIEW>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </td>
        <td valign="top">
            <componentart:callback id="_saCallback" runat="server">
                <content>  
            <asp:PlaceHolder Runat="server" ID="_phSA">
            <asp:Panel ID="_pnlSA" runat="server">
                <asp:Label ID="_lblSaWarning" runat="server" Text="" CssClass="NormalRed"></asp:Label>
                <table>
                    <tr>
                        <td class="Normal" valign="middle">
                            <dnn:label id="lblSAName" resource="lblSAName" controlname=""
                                suffix=":" runat="server">
                            </dnn:label>
                        </td>
                    </tr>
                    <tr>
                        <td>
                           <asp:TextBox ID="_txtSAName" runat="server" Width="250px"></asp:TextBox> 
                        </td>
                    </tr>
                    <tr>
                        <td class="Normal" valign="middle">
                            <dnn:label id="lblDescription" resource="lblDescription" controlname=""
                                suffix=":" runat="server">
                            </dnn:label>
                        </td>
                    </tr>
                    <tr>
                        <td>
                           <asp:TextBox ID="_txtSADescription" runat="server" TextMode="MultiLine" Height="70px" Width="250px"></asp:TextBox> <br />
                           <asp:LinkButton ID="_cmdSave" runat="server" resource="cmdSave" CssClass="CommandButton">LinkButton</asp:LinkButton>
                           <asp:LinkButton ID="_cmdCreate" runat="server" resource="cmdCreate" CssClass="CommandButton">LinkButton</asp:LinkButton>
                           <br /><asp:LinkButton ID="_cmdDelete" runat="server" resource="_cmdDelete" CssClass="CommandButton">LinkButton</asp:LinkButton>
                        </td>
                    </tr>
                    <tr>
                        <td class="Normal" valign="middle">
                            <dnn:label id="lblSAPortals" resource="lblSAPortals" controlname=""
                                suffix=":" runat="server">
                            </dnn:label>
                        </td>
                    </tr>
                    <tr>
                        <td>
                           <ComponentArt:Grid id="_grdPortals"
                                AllowEditing="false"
                                RunningMode="server"
                                EnableViewState="true"
                                CssClass="Grid"
                                FooterCssClass="GridFooter"
                                PagerStyle="Slider"
      	                        PagerTextCssClass="GridFooterText"
      	                        SearchTextCssClass="GridHeaderText"
      	                        PagerButtonWidth="41"
      	                        PagerButtonHeight="22"
                                SliderHeight="20"
                                SliderWidth="150"
                                SliderGripWidth="9"
                                SliderPopupOffsetX="35"
                                PageSize="11"
                                ShowHeader="true"
                                HeaderCssClass="GridHeader"
                                DataAreaCssClass="GridData"
                                GroupingNotificationText="Drag a column to this area to group by it."
                                GroupingNotificationTextCssClass="GridHeaderText"
                                GroupBySortAscendingImageUrl="group_asc.gif"
                                GroupBySortDescendingImageUrl="group_desc.gif"
                                GroupBySortImageWidth="10"
                                GroupBySortImageHeight="10"
                                GroupingMode="ConstantRecords"
                                PreExpandOnGroup="true"
                                GroupByCssClass="GroupByCell"
                                GroupByTextCssClass="GroupByText"
                                ImagesBaseUrl="~/DesktopModules/DNNMasters.MPUS-Xtreme/UI/UserControls/images/grid/"
                                PagerImagesFolderUrl="~/DesktopModules/DNNMasters.MPUS-Xtreme/UI/UserControls/images/grid/pager/"
                                TreeLineImagesFolderUrl="~/DesktopModules/DNNMasters.MPUS-Xtreme/UI/UserControls/images/grid/lines/"
                                TreeLineImageWidth="22"
                                TreeLineImageHeight="19"
                                IndentCellWidth="22"
                                HeaderHeight="30"
                                FooterHeight="40"
                                AutoPostBackOnSelect="false"


                                width="640" height="260" runat="server">
                                <Levels>
                                  <ComponentArt:GridLevel
                                    RowCssClass="Row"
                                    AlternatingRowCssClass="AlternatingRow"
                                    DataCellCssClass="DataCell"
                                    HeadingRowCssClass="HeadingRow"
                                    HeadingCellCssClass="HeadingCell"
                                    HeadingTextCssClass="HeadingCellText"
                                    ShowSelectorCells="true"
                                    GroupHeadingCssClass="GroupHeading"
                                    SortAscendingImageUrl="asc.gif"
                                    SortDescendingImageUrl="desc.gif"
                                    SortImageWidth="9"
                                    SortImageHeight="5"
                                    DataKeyField="PortalId">
                                    <Columns>
                                      <ComponentArt:GridColumn DataField="PortalId" Visible="true" />
                                      <ComponentArt:GridColumn DataField="Name" HeadingText="Name" DataCellClientTemplateId="ThreadTemplate" Width="400" />
                                      <ComponentArt:GridColumn DataField="SharePortalUser" HeadingText="Share from portal" Visible="true" />
                                      <ComponentArt:GridColumn DataField="ShareSAUser" HeadingText="Portal Users" Visible="true" />
                                      <ComponentArt:GridColumn DataField="EditUrl" Visible="false" />
                                      <ComponentArt:GridColumn DataField="EditRoleUrl" Visible="false" />
                                      <ComponentArt:GridColumn DataField="EditImageUrl" Visible="false" />
                                      <ComponentArt:GridColumn DataField="EditRoleImageUrl" Visible="false" />
                                    </Columns>
                                  </ComponentArt:GridLevel>
                                </Levels>
                                <ClientTemplates>
                                  <ComponentArt:ClientTemplate Id="DragTemplate">
                                    <div style="height:100px;width:100px;">## DataItem.getMember('Name').get_text() ##</div>
                                  </ComponentArt:ClientTemplate>
                                  <ComponentArt:ClientTemplate Id="ThreadTemplate">
                                  <table width="100%" cellspacing="0" cellpadding="2" border="0">
                                  <tr>
                                    <td style="width:30px;padding-left:8px;padding-right:8px;" align="center">
                                    </td>
                                    <td width="100%">
                                    <table cellspacing="0" cellpadding="1" border="0" width="100%">
                                    <tr>
                                      <td class="CellText"><nobr><b>## DataItem.GetMember("Name").Value ##</b></nobr></td>
                                    </tr>
                                    </table>
                                    </td>
                                  </tr>
                                  </table>
                                  </ComponentArt:ClientTemplate>
                                </ClientTemplates>
                              </ComponentArt:Grid>

                           
                           
                           
                        </td>
                    </tr>
                </table>
                </asp:Panel>
                <asp:Panel ID="_pnlPortalInfo" runat="server">
                <dnn:sectionhead id="_dshPortalSettings" runat="server" resourcekey="_dshPortalSettings"
                    cssclass="NormalBold" section="tblPortalSettings" IsExpanded="True" IncludeRule="true">
                </dnn:sectionhead>
                <table id="tblPortalSettings" runat="server">
                    <tr>
                        <td colspan="3">
                            <asp:panel id="pnlPortalInfo" runat="server">&nbsp; 
                                <table id="PortalData" cellspacing="0" cellpadding="0" border="0" runat="server" width="90%">	
	                                <tr>
		                                <td class="SubHead" width="5%">
		                                </td>
		                                <td class="DnnMastersPink" width="95%" align="justify" colspan="2">
			                                <dnn:label id="labelPortals" controlname="labelPortals" resourcekey="labelPortals"
				                                runat="server" text="PORTAL INFO"></dnn:label>
		                                </td>
	                                </tr>	
	                                <tr>
		                                <td class="SubHead" width="5%">
		                                </td>
		                                <td class="SubHead" align="justify" style="width: 150px">
                                            <dnn:label id="PortalID" controlname="PortalID" runat="server" resourcekey="PortalID" text="Portal ID:"></dnn:label>
		                                </td>
		                                <td class="SubHead" align="justify">
                                            <asp:label controlname="lbPortalID" id="lbPortalID" cssclass="NormalBold" runat="server" />
		                                </td>
	                                </tr>
	                                <tr>
		                                <td class="SubHead" width="5%">
		                                </td>
		                                <td class="SubHead" align="justify">
                                            <dnn:label id="PortalName" controlname="PortalName" runat="server" resourcekey="PortalName" text="Portal name:"></dnn:label>
		                                </td>
		                                <td class="SubHead" align="justify" style="width: 150px">
                                            <asp:label controlname="lbPortalName" id="lbPortalName" cssclass="NormalBold" runat="server" />
		                                </td>		
	                                </tr>
	                                <tr>
		                                <td class="SubHead" width="5%">
		                                </td>
		                                <td class="SubHead" align="justify">
                                            <dnn:label id="PortalUsers" controlname="PortalUsers" runat="server" resourcekey="PortalUsers" text="Users in portal:"></dnn:label>
		                                </td>
		                                <td class="SubHead" align="justify">
                                            <asp:label controlname="lbPortalUsers" id="lbPortalUsers" cssclass="NormalBold" runat="server" />
		                                </td>		
	                                </tr>	
                                </table>

                            </asp:panel>                            
                        </td>
                    </tr>
                </table>
                
                <uc1:mpus_SAPortalEdit id="_ctlSAPortalEdit" runat="server">
                </uc1:mpus_SAPortalEdit>

                
                
                </asp:Panel>

                
                
            </asp:PlaceHolder> 
          </content>
            </componentart:callback>
        </td>
    </tr>
</table>
